"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsosTemplateEngineError = exports.JsonTemplateParserError = void 0;
class JsonTemplateParserError extends Error {
    constructor(message, column) {
        super(message);
        this.column = column;
    }
}
exports.JsonTemplateParserError = JsonTemplateParserError;
class JsosTemplateEngineError extends Error {
    constructor(message) {
        super(message);
    }
}
exports.JsosTemplateEngineError = JsosTemplateEngineError;
