import { Expression } from './types';
export declare class JsonTemplateTranslator {
    private body;
    private vars;
    private lastVarId;
    private unusedVars;
    private expr;
    private code?;
    constructor(expr: Expression);
    translate(): string;
    private acquireVar;
    private releaseVars;
    private translatePath;
    private translateDescendantSelector;
    private translateConcatExpr;
    private translateExpr;
    private translateFunctionExpr;
    private translateFunctionCallExpr;
    private translateObjectExpr;
    private translateArrayExpr;
    private translateLiteralExpr;
    private translateAssignmentExpr;
    private translateStatementsExpr;
    private translateComparisonExpr;
    private inlineAppendToArray;
    private inlinePushToArray;
    private translateLiteral;
    private translateSelector;
    private translateUnaryExpr;
    private static escapeStr;
    private static convertToBool;
    private static convertToSingleValue;
    private static covertToArrayValue;
    private translateObjectPredicate;
    private writeCondition;
    private translateMathExpr;
    private translatePosExpression;
    private translateLogicalExpr;
}
//# sourceMappingURL=translator.d.ts.map