"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyntaxType = exports.TokenType = void 0;
var TokenType;
(function (TokenType) {
    TokenType[TokenType["UNKNOWN"] = 0] = "UNKNOWN";
    TokenType[TokenType["ID"] = 1] = "ID";
    TokenType[TokenType["NUM"] = 2] = "NUM";
    TokenType[TokenType["STR"] = 3] = "STR";
    TokenType[TokenType["BOOL"] = 4] = "BOOL";
    TokenType[TokenType["NULL"] = 5] = "NULL";
    TokenType[TokenType["PUNCT"] = 6] = "PUNCT";
    TokenType[TokenType["ASSIGNMENT"] = 7] = "ASSIGNMENT";
    TokenType[TokenType["FUNCTIION"] = 8] = "FUNCTIION";
    TokenType[TokenType["FUNCTION_CALL"] = 9] = "FUNCTION_CALL";
    TokenType[TokenType["EOT"] = 10] = "EOT";
})(TokenType = exports.TokenType || (exports.TokenType = {}));
var SyntaxType;
(function (SyntaxType) {
    SyntaxType[SyntaxType["EMPTY"] = 0] = "EMPTY";
    SyntaxType[SyntaxType["PATH"] = 1] = "PATH";
    SyntaxType[SyntaxType["SELECTOR"] = 2] = "SELECTOR";
    SyntaxType[SyntaxType["OBJ_PRED"] = 3] = "OBJ_PRED";
    SyntaxType[SyntaxType["LOGICAL_EXPR"] = 4] = "LOGICAL_EXPR";
    SyntaxType[SyntaxType["COMPARISON_EXPR"] = 5] = "COMPARISON_EXPR";
    SyntaxType[SyntaxType["MATH_EXPR"] = 6] = "MATH_EXPR";
    SyntaxType[SyntaxType["CONCAT_EXPR"] = 7] = "CONCAT_EXPR";
    SyntaxType[SyntaxType["UNARY_EXPR"] = 8] = "UNARY_EXPR";
    SyntaxType[SyntaxType["POS_EXPR"] = 9] = "POS_EXPR";
    SyntaxType[SyntaxType["ASSIGNMENT_EXPR"] = 10] = "ASSIGNMENT_EXPR";
    SyntaxType[SyntaxType["LITERAL"] = 11] = "LITERAL";
    SyntaxType[SyntaxType["OBJECT_EXPR"] = 12] = "OBJECT_EXPR";
    SyntaxType[SyntaxType["ARRAY_EXPR"] = 13] = "ARRAY_EXPR";
    SyntaxType[SyntaxType["FUNCTION_EXPR"] = 14] = "FUNCTION_EXPR";
    SyntaxType[SyntaxType["FUNCTION_CALL_EXPR"] = 15] = "FUNCTION_CALL_EXPR";
    SyntaxType[SyntaxType["STATEMENTS_EXPR"] = 16] = "STATEMENTS_EXPR";
})(SyntaxType = exports.SyntaxType || (exports.SyntaxType = {}));
